Bug 99573 - Fast Ruby Debugger does not work
Fast Ruby Debugger does not work
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-30 17:09 UTC by dev777
Modified: 2007-07-03 14:42 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Log file from netbeans (192.28 KB, text/plain)
2007-03-30 17:15 UTC, dev777
Details
exception details (1.85 KB, text/plain)
2007-03-30 17:17 UTC, dev777
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dev777 2007-03-30 17:09:49 UTC
Using a fresh daily snaphot 200703271800 netbeans and rdebug 0.9 compiled from
svn source. wrote hello world with break point pressed debug project and got
error RuntimeException : Debuggger exception .Log attached. rdebugger works from
command prompt. Netbeans ruby debugger works but is slow. Using ruby version
1.8.6 not Jruby and have set this in Netbeans
Comment 1 dev777 2007-03-30 17:15:36 UTC
Created attachment 40208 [details]
Log file from netbeans
Comment 2 dev777 2007-03-30 17:17:04 UTC
Created attachment 40209 [details]
exception details
Comment 3 Martin Krauskopf 2007-03-30 17:18:20 UTC
It is due to recent changes in (or rather between) debug-commons and ruby-debug
projects. They've shared some code which has moved from ruby-debug to
debug-commons and in the current situation is very hard to get fast-debugger
working since a little more needs to be done. I will update wiki. I would like
to get it work this weekend or in the beginning of next week. Let's keep this as
a tracker.
Comment 4 Martin Krauskopf 2007-03-30 19:37:54 UTC
I've updated wiki -> Fast Debugger is temporarily unsupported. I need to migrate
to ruby-debug-javaide which in turns depends on Kent Sibilev's ruby-debug-base
0.9 (trunk, not released yet).
I'll at least migrate debug-commons and NetBeans frontend to the
ruby-debug-javaide so it is at least possible to get it work from trunk
repositories.
Comment 5 dev777 2007-03-31 13:36:19 UTC
thanks for your fast response on this! I'm new to Ruby and was encouraged by
Netbeans' involvement in it. I also think with the current debugger and rails
support it can only help with raising Rubys profile. In the mean time if you
want me to test out any new implementations I will be glad to do so.
Comment 6 Martin Krauskopf 2007-04-03 08:38:55 UTC
Fixed. You do not need any native compilation now. Only ruby-debug-base and
ruby-debug-ide gem are needed now. The second one is not officially published as
a gem yet. I'll update the wiki pages very soon on how to setup the fast
debugger (easily).

Ruby Debugger 0.77
debug-commons-java wrapper 1.5
Ruby Kit 0.53.0

Checking in debug-commons-java/build.xml;
new revision: 1.3; previous revision: 1.2
Checking in debug-commons-java/manifest.mf;
new revision: 1.6; previous revision: 1.5
Checking in debug-commons-java/nbproject/project.properties;
new revision: 1.3; previous revision: 1.2
Checking in debug-commons-java/nbproject/project.xml;
new revision: 1.5; previous revision: 1.4
Checking in debugger/manifest.mf;
new revision: 1.10; previous revision: 1.9
Checking in debugger/nbproject/project.properties;
new revision: 1.6; previous revision: 1.5
Checking in debugger/nbproject/project.xml;
new revision: 1.7; previous revision: 1.6
Checking in debugger/src/org/netbeans/modules/ruby/debugger/RubyDebugger.java;
new revision: 1.10; previous revision: 1.9
Removing external/debug-commons-java-0.7.1-license.txt;
new revision: delete; previous revision: 1.1
Removing external/debug-commons-java-0.7.1.jar;
new revision: delete; previous revision: 1.5
Checking in external/debug-commons-java-0.7.2-license.txt;
initial revision: 1.1
Checking in external/debug-commons-java-0.7.2.jar;
initial revision: 1.1
Checking in kit/manifest.mf;
new revision: 1.34; previous revision: 1.33
Checking in kit/nbproject/project.xml;
new revision: 1.42; previous revision: 1.41
Comment 7 Martin Krauskopf 2007-04-03 09:20:00 UTC
I've updated wiki:

http://wiki.netbeans.org/wiki/view/RubyDebugging#section-RubyDebugging-HowToSetUpTheFastRubyDebugger

Steps might change in the near future as soon as ruby-debug-ide gem is
officially released.
Comment 8 Martin Krauskopf 2007-04-03 09:23:25 UTC
> In the mean time if you want me to test out any new implementations I will be
> glad to do so.

And I'll be surely more glad if you keep filing issues like this one. From P1 to
P5, bugs, feature, enhancement ... whatever comes to your mind. Thanks.
Also if you want to start contributing patches (backend or frontend) that would
be even greater ;)
Comment 9 Jiri Kovalsky 2007-07-03 13:58:32 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 10 Jiri Kovalsky 2007-07-03 14:42:20 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo